using System.Diagnostics;
using System.IO;
using System.Windows.Forms;
using Tekla.Structures;
using TSM = Tekla.Structures.Model;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
         {
            string xsEnv = "";
            TeklaStructuresSettings.GetAdvancedOption("XSDATADIR", ref xsEnv);
            string EnginePath = xsEnv + @"environments\common\extensions\OneClickLCA_Export\Tekla_OCL_export.exe";

            Process NewProcess = new Process();

            if (File.Exists(EnginePath))
            {
                NewProcess.StartInfo.FileName = EnginePath;

                try
                {
                    NewProcess.Start();

                }
                catch
                {
                    MessageBox.Show("Starting of Export to OneClickLCA failed.");
                }
            }
            else
            {
                MessageBox.Show("Tekla_OCL_export.exe not found.");
            }
        }
    }
}
